Subject: Re: git-archive ignores export-ignore

From: "Todd A. Jacobs" <[email-masked]>
Date: Fri, 22 Jan 2010 10:07:57 -0800

On Thu, Jan 21, 2010 at 04:57:39PM -0800, Junio C Hamano wrote:

> There is something that is different in my failed attempt to reproduce it
> from your problem description, but I cannot tell what it is.
> 
> Do you have some garbage character immediately after "e" in "-ignore"?

No, but it turns out that juniperxml.cfg is actually a symlink in this
repository. I'm not sure that should make a difference, but perhaps
that's the missing element in recreating the problem.

I wouldn't think so, because the reason it's a symlink is because I was
unable to get git-archive to ignore the actual file on export, so I
moved it elsewhere and replaced it with a symlink so that the contents
of the file weren't exported.

Hope that helps!

-- 
"Oh, look: rocks!"
	-- Doctor Who, "Destiny of the Daleks"